<?php

/*

Plugin Name: VisualDNA Shops
Version: 0.1
Plugin URI: http://wordpress.org/extend/plugins/display-visualdna-shops/
Author: Imagini Holdings Ltd.
Description: Displays VisualDNA Shops on your WP blog 

*/

$vdna_domain = 'vdna_domain';

function vdna_shops ( $argv )
{
    extract($argv);
    $options = get_option('vdna_shops');
    $shop_id = $options['shop_id'] ? $options['shop_id'] : "";
?>
    <?php echo $before_widget; ?>
    <?php echo $before_title.'VisualDNAShops'.$after_title; ?>

	<?php if ($shop_id == "") : ?>
		<p><a style='font-family: "Trebuchet MS"; font-size: 12px;' target="_blank" href='http://shops.visualdna.com/shop'>Create your own shop</a></p>
	<?php elseif ( strlen($shop_id) != 32 ) : ?>
		<p>Your shop ID is not valid. Please enter a valid shop ID.</p>
	<?php else: ?>
		<script type="text/javascript" src="http://shops-service.visualdna.com/?shop_id=<?= $shop_id ?>"></script><noscript><a href="http://shops.visualdna.com" title="visit shops.visualdna.com (opens in a new window)" target="_blank"><img src="http://shops.visualdna.com/skin/default/images/general/logo-for-flash.gif" alt="VisualDNA Shops" /></a></noscript>
	<?php endif; ?>

    <?php echo $after_widget; ?>
<?php
}

function vdna_shops_control ()
{
    $options = $newoptions = get_option('vdna_shops');
    if ( $_POST['shop-submit'] ) 
	{
		$newoptions['shop_id'] = strip_tags(stripslashes($_POST['vdna_shop_id']));
    }

	if ( $options != $newoptions ) 
	{
        $options = $newoptions;
        update_option('vdna_shops', $options);
    }
    $shop_id = $options['shop_id'];
?>
    <p><label for="vdna_shop_id"><?php _e('Shop ID:',$vdna_domain); ?> <input type="text" style="width: 250px;" id="vdna_shop_id" name="vdna_shop_id" value="<?php echo $shop_id; ?>" /></label></p>
	<input type="hidden" id="shop-submit" name="shop-submit" value="1" />
<?php
}

function vdna_shops_init ()
{
    if ( function_exists('register_sidebar_widget') ) {
        register_sidebar_widget("VisualDNA Shop", "vdna_shops");
        register_widget_control("VisualDNA Shop", 'vdna_shops_control');
    }
}

load_plugin_textdomain($vdna_domain, PLUGINDIR.'/'.dirname(plugin_basename(__FILE__)), dirname(plugin_basename(__FILE__)));
add_action('widgets_init', 'vdna_shops_init');

?>
